cascading.provider

## Class ProviderLoader<Provider>

- java.lang.Object
- - cascading.provider.ProviderLoader<Provider>

Direct Known Subclasses:
  FactoryLoader, ServiceLoader

    public class ProviderLoader<Provider>
    extends java.lang.Object

Class ProviderLoader is the base class for loading various "provider" types.

This loader can optinally load a provider implementation within its own ClassLoader using the `ChildFirstURLClassLoader`.

See Also:
  `FactoryLoader`, `ServiceLoader`

### Constructor Summary

Constructors
Constructor and Description
`ProviderLoader()`
`ProviderLoader(java.lang.String[] exclusions, java.net.URL libraryURL)`

### Method Summary

Methods
`Provider` `createProvider(java.lang.String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProviderLoader

    public ProviderLoader()

#### ProviderLoader

    public ProviderLoader(java.lang.String[] exclusions,
                  java.net.URL libraryURL)

### Method Detail

#### createProvider

    public Provider createProvider(java.lang.String className)